#!/usr/bin/env python3
from random import uniform
from ev3dev2.sensor.lego import TouchSensor
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C

ts=TouchSensor()
rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=20           # スピード(%)

while True:
    if ts.is_pressed == True: break
    wt=uniform(0.5,1)
    rbt.on_for_seconds(sp,sp,wt)     # 前進
    rbt.on_for_seconds(sp,-sp,wt)    # 右にターン

rbt.off()
