#!/usr/bin/env python3
import math
from ev3dev2.motor import MoveTank,OUTPUT_B,OUTPUT_C
rbt=MoveTank(OUTPUT_B,OUTPUT_C)
sp=20                # スピード(%)
rt=0.54              # 90°ターンに必要な回転数
lena=400             # 大きな四角形で前進する距離(mm)
lenb=100             # 小さな四角形で前進する距離(mm)
tire=math.pi*56      # タイヤの円周(mm)
rsa=lena/tire        # 大きな四角形の前進に必要な回転数
rsb=lenb/tire        # 小さな四角形の前進に必要な回転数

for i in range(4):
    rbt.on_for_rotations(sp,sp,rsa)    # 前進
    rbt.on_for_rotations(-sp,sp,rt)    # 左にターン

    for j in range(2):
        rbt.on_for_rotations(sp,sp,rsb) # 前進
        rbt.on_for_rotations(-sp,sp,rt) # 左にターン

rbt.off()